package jwsunleashed.trading.ejb;

import java.rmi.*;
import javax.ejb.*;
import java.util.*;

public interface BuyOrderHome extends EJBHome
{
    public BuyOrder create() throws RemoteException, CreateException;

    public BuyOrder findByPrimaryKey(Integer putOrderID)
        throws RemoteException, FinderException;
    
    public Collection findByBuyerID(int buyerID)
        throws RemoteException, FinderException;
    
    public Collection findMatches(String stock, int shares,
        int price) throws RemoteException, FinderException;
}
